package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesShippingLoadingCheckModel;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrder;
import cn.estsh.i3plus.pojo.mes.bean.shipping.MesLoadingList;
import cn.estsh.i3plus.pojo.mes.bean.shipping.MesLoadingListDetail;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-04-26 15:37
 * @Modify:
 **/
public interface IMesShippingLoadingCheckService {

    @ApiOperation(value = "查询装车单")
    MesShippingLoadingCheckModel doLoadingOrderNoQuery(MesLoadingList loadingVehiclesOrder);

    @ApiOperation(value = "查询装车单-自动推单")
    MesLoadingList queryLoadingOrderNoByAutoPushOrder(String shippingGroupNo, String org);

    @ApiOperation(value = "扫描发运单")
    MesShippingLoadingCheckModel saveVehiclesOrderAndDetail(MesShippingLoadingCheckModel model, String organizeCode, String userInfo);

    MesLoadingList insert(MesLoadingList item);

    void update(MesLoadingList item);

    void update(MesLoadingListDetail item);

}
